.property-contact-modal .modal-dialog {
  max-width: 1000px;
  width: 100%;
  margin: 1.5rem auto;
}

.property-contact-modal .modal-content {
  border: 0;
  border-radius: 20px;
  overflow: hidden;
  box-shadow: 0px 0px 6px #00000008;
  border: 1px solid #e5e5e5;
  border-radius: 12px;
}

.property-contact-modal .modal-body {
  padding: 0;
}

.property-contact-modal .contact-modal-wrapper {
  display: flex;

  background: #fff;
}

.property-contact-modal .property-preview {
  width: 320px;
  border-right: 1px solid #ececec;
  background: #fff;
  padding: 16px 16px 30px;
  flex-shrink: 0;
}

.property-contact-modal .property-image-wrapper {
  position: relative;
  width: 100%;
  height: 180px;
  border-radius: 8px;
  overflow: hidden;
}

.property-contact-modal .property-image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: fill;
}

.property-contact-modal .property-details {
  padding: 4px 10px;
}

.property-contact-modal .listing-type {
  display: inline-block;

  margin-bottom: 0px;

  color: #777;
  font-size: 13px;
  font-weight: 500;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.property-contact-modal .property-details h4 {
  margin-bottom: 3px;
  font-size: 16px;
  font-weight: 700;
  line-height: 1.2;
  color: #111;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.property-contact-modal .property-info {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  margin-bottom: 1px;
  line-height: 1.3;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.property-contact-modal .property-info span {
  font-size: 13px;
  color: #444;
}

.property-contact-modal .location {
  margin-bottom: 7px;
  font-size: 13px;
  color: #666;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.property-contact-modal .property-details h3 {
  margin: 0;
  font-size: 20px;
  font-weight: 700;
  color: #000;
}

.property-contact-modal .contact-form-wrapper {
  flex: 1 1;
  padding: 20px 20px;
}

.property-contact-modal .top-agent-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 10px;
}

.property-contact-modal .right-section {
  display: flex;
  gap: 10px;
}

.property-contact-modal .form-box-section {
  width: 90%;
}

.property-contact-modal .agent-info {
  display: flex;
  align-items: center;
  gap: 14px;
}

.property-contact-modal .right-section .user-wrapper {
  width: 58px;
  height: 58px;
  border-radius: 50%;
  overflow: hidden;
  aspect-ratio: 1/1;
}

.property-contact-modal .right-section .user-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.property-contact-modal .agent-info .name-title {
  margin: 0;

  font-size: 16px;
  font-weight: 700;
  color: #111;
}

.property-contact-modal .agent-info .name {
  font-size: 14px;
  color: #111;
  margin: 0;
}

.property-contact-modal .exp-tag {
  font-size: 13px;
  color: #808080;
}

.property-contact-modal .wrapper-div {
  display: flex;
  gap: 5px;
}

.property-contact-modal .agent-info .name,
.property-contact-modal .exp-tag {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.property-contact-modal .form-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 18px;
}

.property-contact-modal .input-group-box label,
.property-contact-modal .message-box label {
  display: block;
  margin-top: 8px;
  margin-bottom: 5px;
}

.property-contact-modal .bottom-row {
  display: flex;
  align-items: center;
  gap: 18px;
  margin-top: 26px;
}

.property-contact-modal .secure-text {
  display: flex;
  align-items: center;
  gap: 8px;
  color: #808080;
  font-size: 13px;
}

@media (max-width: 991px) {
  .property-contact-modal .contact-modal-wrapper {
    flex-direction: column;
  }

  .property-contact-modal .form-grid {
    grid-template-columns: 1fr;
    gap: 0;
  }

  .property-contact-modal .bottom-row {
    align-items: flex-start;
  }

  .property-contact-modal .property-preview {
    width: 100%;
    display: flex;
    padding: 12px;
  }

  .property-contact-modal .property-image-wrapper {
    width: 210px;
    height: 130px;
  }

  .property-contact-modal .property-details {
    max-width: 258px;
  }

  .property-contact-modal .contact-form-wrapper {
    padding: 12px;
    border-top: 1px solid #dfdfdf;
  }

  .property-contact-modal .top-agent-row {
    margin-bottom: 5px;
  }
}

@media (min-width: 0px) and (max-width: 575.98px) {
  .property-contact-modal .property-preview {
    flex-direction: column;
  }

  .property-contact-modal .property-image-wrapper {
    width: 100%;
    height: 135px;
    margin-top: 18px;
  }

  .property-contact-modal .close-btn {
    top: -4px;
    right: -7px;
  }

  .property-contact-modal .property-details {
    padding: 4px 6px;
    max-width: 100%;
  }

  .property-contact-modal .property-details h3 {
    font-size: 16px;
  }

  .property-contact-modal .property-details h4 {
    font-size: 14px;
  }

  .property-contact-modal .property-info span {
    font-size: 12px;
  }

  .property-contact-modal .location {
    font-size: 12px;
  }

  .property-contact-modal .property-preview {
    padding: 10px;
  }

  .property-contact-modal .secure-text {
    gap: 6px;

    font-size: 12px;
    line-height: 1.2;
  }

  .property-contact-modal .bottom-row {
    gap: 10px;
    margin-top: 20px;
  }

  .property-contact-modal .input-group-box label,
  .property-contact-modal .message-box label {
    margin-top: 4px;
    margin-bottom: 2px;
    font-size: 13px;
  }

  .property-contact-modal .right-section .user-wrapper {
    width: 53px;
    height: 49px;
  }

  .property-contact-modal .agent-info .name {
    gap: 7px;
    font-size: 13px;
  }

  .property-contact-modal .top-agent-row {
    margin-bottom: 1px;
  }

  .property-contact-modal .right-section {
    gap: 5px;
  }
  .property-contact-modal .form_box textarea.form-control {
    height: 60px !important;
    scrollbar-width: none;
  }
}
